<?php
// Variabel vordefinieren!
if (!isset($_POST['anmelden'])) $_POST['anmelden'] = "";
if (!isset($_POST['nickname'])) $_POST['nickname'] = "";
if (!isset($_POST['nachname'])) $_POST['nachname'] = "";
if (!isset($_POST['vorname'])) $_POST['vorname'] = "";
if (!isset($_POST['emailadresse'])) $_POST['emailadresse'] = "";
if (!isset($_POST['passwort_1'])) $_POST['passwort_1'] = "";
if (!isset($_POST['passwort_2'])) $_POST['passwort_2'] = "";
if (!isset($_POST['agb'])) $_POST['agb'] = "";
if (!isset($_POST['newsletter'])) $_POST['newsletter'] = "1";
if (!isset($error)) $error = "";
if (!isset($anmeldeok)) $anmeldeok = "";
if (!isset($ak)) $ak = "";

if ($_POST['anmelden'] == "Jetzt anmelden!") {
    // Anfangsbuchtabe beim Namen grossschreiben
    $_POST['nachname'] = addslashes ($_POST['nachname']);
    $_POST['vorname'] = addslashes ($_POST['vorname']);
    // Tag speichern
    $tag = strtotime("" . date("m") . "/" . date("d") . "/" . date("Y") . " 0 hours 0 minutes 0 seconds");
    // Prüfen ob alles ausgefüllt
    if (!$_POST['nachname'] || !$_POST['vorname'] || !$_POST['emailadresse'] || !$_POST['passwort_1'] || !$_POST['passwort_2'] || !$_POST['nickname']) $error .= 'Bitte fülle alle benötigten Felder aus!<br>';
    // Pruefen, ob man sich mit der eMail-Domain anmelden darf
    $denied = explode(';', $pageconfig['denied_domains']);
    foreach ($denied AS $nr => $emaildomain) if (($nr < (count ($denied) - 2) || strlen ($emaildomain) >= 5) && strpos ($_POST['emailadresse'], $emaildomain) !== false) $error .= 'E-Mail-Adressen mit der Domain "<i>' . $emaildomain . '</i>" sind bei uns nicht erlaubt!<br>';
    // Prüfe felder
    if (!filter_var($_POST['emailadresse'], FILTER_VALIDATE_EMAIL)) $error .= 'Der Emailsyntax ist falsch!<br>';
    if ($_POST['passwort_1'] != $_POST['passwort_2']) $error .= 'Passwörter stimmen nicht überein!<br>';
    if (strlen($_POST['passwort_1']) < 8) $error .= 'Passwortlänge muss min. 8 Zeichen haben<br>';
    if ($_POST['agb'] != "ja") $error .= 'Du musst die AGBs bestädigen!<br>';
    // User mit der Datenbank abgleichen
    if (!$error) {
        $_POST['nickname'] = mysql_real_escape_string($_POST['nickname']);
        $nickname_check = db_query ("SELECT `nickname` FROM " . $db_prefix . "_userdaten WHERE nickname='" . $_POST['nickname'] . "'");
        $mail_check = db_query ("SELECT `emailadresse` FROM " . $db_prefix . "_emaildaten WHERE emailadresse='" . $_POST['emailadresse'] . "'");

        if (mysql_num_rows($mail_check)) $error .= 'Diese Emailadresse ist schon im System!<br>';
        if (mysql_num_rows($nickname_check)) $error .= 'Der Nickname ist schon vergeben!<br>';
    }
    // User eintragen
    if (!$error) {
        if ($_POST['newsletter'] == 0 and $_POST['paidmails'] == 0) $mailstatus = 0;
        if ($_POST['newsletter'] == 1 and $_POST['paidmails'] == 0) $mailstatus = 1;
        if ($_POST['newsletter'] == 0 and $_POST['paidmails'] == 1) $mailstatus = 2;
        if ($_POST['newsletter'] == 1 and $_POST['paidmails'] == 1) $mailstatus = 3;
        db_query("INSERT INTO " . $db_prefix . "_kontodaten (passwort,status,hinweis,kontostand) VALUES ('" . md5($_POST['passwort_1']) . "','0','','0')");
        $uid = mysql_insert_id();
        if ($_SESSION['werber'] == $uid) $_SESSION['werber'] = 0;
        db_query("INSERT INTO " . $db_prefix . "_emaildaten (uid,emailadresse,freigabe_fuer) VALUES ('" . $uid . "','" . $_POST['emailadresse'] . "','" . $mailstatus . "')");
        db_query("INSERT INTO " . $db_prefix . "_userdaten (uid,nickname,vorname,nachname,angemeldet_seit) VALUES ('" . $uid . "','" . $_POST['nickname'] . "','" . $_POST['vorname'] . "','" . $_POST['nachname'] . "','" . time() . "')");
        db_query("INSERT INTO " . $db_prefix . "_werberdaten (uid,werber,umsatz,zuordnungszeit) VALUES ('" . $uid . "','" . $_SESSION['werber'] . "','0','" . time() . "')");
        $ak = md5($_POST['uid'] . '' . time());
        db_query("INSERT INTO " . $db_prefix . "_aktivierungen (uid,ak) VALUES ('" . $uid . "','" . $ak . "')");

        $email_message = 'Hallo ' . $_POST['nickname'] . ',
    	Du hast Dich soeben erfolgreich bei ' . $seitenname . ' angemeldet.

    	Bitte aktiviere jetzt Deinen Account, klicke dazu bitte auf den
    	Aktivierungslink: ' . $domain . '/?content=/intern/aktivieren&ak=' . $ak . '

    	----------------------------------------------------------
    	Kontonummer: ' . $uid . '
    	Passwort: Ihnen bekannt*
    	----------------------------------------------------------

    	Nach der Aktivierung kannst Du dich sofort einloggen und bei
    	uns teilnehmen.

    	Mit freundlichen Grüßen
    	Das ' . $seitenname . ' Team
    	';
        usermail($_POST['emailadresse'], "$seitenname Accountaktivierung", $email_message, '"' . $seitenname . '" <' . $betreibermail . '>');
        $anmeldeok = "true";
    }
}

if ($error) {
    head("Anmeldefehler");
        echo '<font color="#cc0000">' . $error . '</font>';
    foot();
}

if ($anmeldeok != "true") {
    head("$seitenname - Neuanmeldung");?>
        <center><b>Neuanmeldung</b></center>
        <form action="" method="post">
            <table style="width:500px; margin:0 auto;">
                <tr class="tabellenbody_0">
                    <td class="main"><b>Nickname:</b></td>
                    <td class="main"><input type="text" name="nickname" value="<?php echo $_POST['nickname'];?>"></td>
                </tr>
                <tr class="tabellenbody_1">
                    <td class="main"><b>Nachname:</b></td>
                    <td class="main"><input type="text" name="nachname" value="<?php echo $_POST['nachname'];?>"></td>
                </tr>
                <tr class="tabellenbody_0">
                    <td class="main"><b>Vorname:</b></td>
                    <td class="main"><input type="text" name="vorname" value="<?php echo $_POST['vorname'];?>"></td>
                </tr>
                <tr class="tabellenbody_1">
                    <td class="main"><b>Emailadresse:</b></td>
                    <td class="main"><input type="text" name="emailadresse" value="<?php echo $_POST['emailadresse'];?>"></td>
                </tr>
                <tr class="tabellenbody_0">
                    <td class="main">Werber:</td>
                    <td class="main">
                    <?php if ($_SESSION['werber'] == 0) {
                        echo '<b>keinen</b>';
                    } else {
                        echo $_SESSION['werber'];
                    } ?></td>
                </tr>
                <tr class="tabellenbody_1">
                    <td class="main"><b>Passwort:</b></td>
                    <td class="main"><input type="password" name="passwort_1"></td>
                </tr>
                <tr class="tabellenbody_0">
                    <td class="main"><b>Passwortbestätigung:</b></td>
                    <td class="main"><input type="password" name="passwort_2"></td>
                </tr>
                <tr class="tabellenbody_0">
                    <td class="main"><b>Newsletter:</b></td>
                    <td class="main"><select name="newsletter"><option value="1"
                    <?php if ($_POST['newsletter'] == "1") {
                        echo 'selected';
                    } ?>>Ja</option><option value="0" <?php if ($_POST['newsletter'] != "1") {
                        echo 'selected';
                    } ?>>Nein</option></select></td>
                </tr>
                <tr class="tabellenbody_1">
                    <td class="main"><b>AGB gelesen und akzeptiert:</b></td>
                    <td class="main"><select name="agb"><option value="ja"
                    <?php if ($_POST['agb'] == "ja") {
                        echo 'selected';
                    } ?>>Ja</option><option value="nein" <?php if ($_POST['agb'] != "ja") {
                        echo 'selected';
                    } ?>>Nein</option></select></td>
                </tr>
                <tr class="tabellenbody_0">
                    <td class="main" align="center" colspan="2">
                        Vor dem Anmelden lese bitte die AGB!<br><br>
                        <input type="submit" name="anmelden" value="Jetzt anmelden!">
                    </td>
                </tr>
            </table>
        </form>
    <?php foot();
} else {
    head("$seitenname - Anmeldung erfolgreich!");
        echo 'Deine Anmeldung bei '.$seitenname.' war erfolgreich, Du bekommst jetzt eine Email mit Deinen Daten und einen Aktivierungslink.
        Sobald Du deinen Account aktiviert hast kannst Du dich bei uns einloggen und diese Seite im vollen Umfang nutzen.<br>
        <br>
        Bitte beachte dass es auch etwas dauern kann bis die Aktivierungsmail bei Dir ankommt, dieses ist anhängig von Deinem Emailanbieter.<br>
        <br>
        Mit freundlichen Grüßen<br>
        Das '.$seitenname.' Team<br>';
    foot();
}